diff options
author | beber <beber> | 2005-12-09 20:56:47 +0000 |
---|---|---|
committer | beber <beber> | 2005-12-09 20:56:47 +0000 |
commit | 994a225682394476b065274f7fe8ef075070d420 (patch) | |
tree | 7119c174c4eea6364db4a5d9aec0931c97764d17 | |
parent | indent (diff) | |
download | espik-994a225682394476b065274f7fe8ef075070d420.tar.xz |
iadd a macro for ecore
involv in espik debug marcro
less bordel autogen.sh
Diffstat (limited to '')
-rw-r--r-- | ChangeLog | 11 | ||||
-rw-r--r-- | autogen.sh | 10 | ||||
-rw-r--r-- | configure.in | 21 | ||||
-rw-r--r-- | m4/ac_ecore.m4 | 20 | ||||
-rw-r--r-- | m4/ac_espik_debug.m4 | 24 |
5 files changed, 54 insertions, 32 deletions
@@ -1,3 +1,14 @@ +beber from elaine.melee : 09/12/05 21:57:11 +iadd a macro for ecore +involv in espik debug marcro +less bordel autogen.sh + +File changes : +A m4/ac_ecore.m4 +M m4/ac_espik_debug.m4 +M configure.in +M autogen.sh + beber from rampa : 07/12/05 16:38:00 Okey ! make user_infos global @@ -3,11 +3,11 @@ rm -rf autom4te.cache rm -f aclocal.m4 -echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 \ -&& echo "Running autoheader..."; autoheader \ -&& echo "Running autoconf..."; autoconf \ -&& echo "Running libtoolize..."; ( libtoolize --automake || glibtoolize --automake ) \ -&& echo "Running automake..."; automake --add-missing --copy --gnu +echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 || exit 1 +echo "Running autoheader..."; autoheader || exit 1 +echo "Running autoconf..."; autoconf || exit 1 +echo "Running libtoolize..."; ( libtoolize --automake || glibtoolize --automake ) || exit 1 +echo "Running automake..."; automake --add-missing --copy --gnu || exit 1 if [ -z "$NOCONFIGURE" -a $? -eq 0 ]; then ./configure "$@" diff --git a/configure.in b/configure.in index 7d68c42..c47245e 100644 --- a/configure.in +++ b/configure.in @@ -18,27 +18,8 @@ AC_C_INLINE dnl espik specific check (include in m4) AC_C___ATTRIBUTE__ -# AC___GNUC__ -# AC___GLIBC__ AC_ESPIK_DEBUG - -AC_ARG_WITH(ecore-config, - [ --with-ecore-config=ECORE_CONFIG_PATH use ecore-config specified ], - [ECORE_CONFIG=$withval; - if ! test -x "$ECORE_CONFIG"; then - AC_MSG_ERROR([$ECORE_CONFIG not found]) - fi ], - [PROG="ecore-config"; - AC_PATH_PROG(ECORE_CONFIG, $PROG, "", $PATH) - if test -z "$ECORE_CONFIG"; then - AC_MSG_ERROR([You need ecore !]) - fi - ]) - -ecore_cflags=`$ECORE_CONFIG --cflags` -ecore_libs=`$ECORE_CONFIG --libs` -AC_SUBST(ecore_cflags) -AC_SUBST(ecore_libs) +AC_CHK_ECORE AC_OUTPUT([ Makefile diff --git a/m4/ac_ecore.m4 b/m4/ac_ecore.m4 new file mode 100644 index 0000000..952026a --- /dev/null +++ b/m4/ac_ecore.m4 @@ -0,0 +1,20 @@ +AC_DEFUN([AC_CHK_ECORE], +[ + AC_ARG_WITH( + [ecore-config], + [ --with-ecore-config=ECORE_CONFIG_PATH use ecore-config specified ], + [ECORE_CONFIG=$withval; + if ! test -x "$ECORE_CONFIG"; then + AC_MSG_ERROR([$ECORE_CONFIG not found]) + fi], + [AC_PATH_PROG(ECORE_CONFIG, "ecore-config", "", $PATH) + if test -z "$ECORE_CONFIG"; then + AC_MSG_ERROR([You need ecore !]) + fi]) + + ecore_cflags=`$ECORE_CONFIG --cflags` + ecore_libs=`$ECORE_CONFIG --libs` + + AC_SUBST(ecore_cflags) + AC_SUBST(ecore_libs) +]) diff --git a/m4/ac_espik_debug.m4 b/m4/ac_espik_debug.m4 index d0e3795..0f6dcaf 100644 --- a/m4/ac_espik_debug.m4 +++ b/m4/ac_espik_debug.m4 @@ -1,17 +1,27 @@ dnl Debug mode -AC_DEFUN([AC_ESPIK_DEBUG]), +AC_DEFUN([AC_ESPIK_DEBUG], [ + AC_MSG_CHECKING(for debug) AC_ARG_ENABLE( [debug], - AC_HELP_STRING( - [--enable-debug], [Enable debug mode (default=yes)]), - [if test "$enable_debug" = "yes" ; then - DEBUG_CFLAGS="-g -D_ESPIK_DEBUG_" + AC_HELP_STRING([--enable-debug], [Enable debug mode (default=yes)]), + [if test "$enable_debug" = "no"; then + debug="no" else - DEBUG_LDFLAGS="-s" - fi], + debug="yes" + fi + ], [debug="yes"]) + if test "$debug" != "no"; then + debug="yes" + DEBUG_CFLAGS="-g -D_ESPIK_DEBUG_" + else + DEBUG_LDFLAGS="-s" + fi + + AC_MSG_RESULT($debug: $DEBUG_CFLAGS$DEBUG_LDFLAGS) + AC_SUBST(DEBUG_CFLAGS) AC_SUBST(DEBUG_LDFLAGS) ]) |